Subject: [v6ops] I-D Action: draft-ietf-v6ops-ipv6-ehs-packet-drops-00 - Fragmentation

From: Vasilenko Eduard <[email-masked]>
Date: Sat, 1 Aug 2020 16:45:49 +0000

There are many references to Fragmentation documents in "Previous Work" section (and in real measurements too),
But Fragmentation is no cited among drop reasons (section 4-6).
IMHO: It deserves separate bullet in the Table of Contents.
Ed/
-----Original Message-----
From: v6ops [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 31 июля 2020 г. 22:32
To: [email-masked]
Cc: [email-masked]
Subject: [v6ops] I-D Action: draft-ietf-v6ops-ipv6-ehs-packet-drops-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Operations WG of the IETF.

        Title           : Operational Implications of IPv6 Packets with Extension Headers
        Authors         : Fernando Gont
                          Nick Hilliard
                          Gert Doering
                          Warren Kumari
                          Geoff Huston
                          Will (Shucheng) Liu
	Filename        : draft-ietf-v6ops-ipv6-ehs-packet-drops-00.txt
	Pages           : 16
	Date            : 2020-07-31

Abstract:
   This document summarizes the operational implications of IPv6
   extension headers, and attempts to analyze reasons why packets with
   IPv6 extension headers may be dropped in the public Internet.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-ipv6-ehs-packet-drops/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-v6ops-ipv6-ehs-packet-drops-00
https://datatracker.ietf.org/doc/html/draft-ietf-v6ops-ipv6-ehs-packet-drops-00

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops

---

From: Fernando Gont <[email-masked]>
Date: Mon, 3 Aug 2020 07:10:02 -0300

Hello, Eduard,

> IMHO: It deserves separate bullet in the Table of Contents.

I agree that we should probably say more about fragmentation. However, 
it would seem to me that this should be part of Section 6.1 (and maybe 
add a few more words to Section 6.4).

That is, fragmentation is one special case where it may be impossible 
for systems to find the upper-layer information -- so it would seem to 
fit in Section Section 6.1.

Thoughts?

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Vasilenko Eduard <[email-masked]>
Date: Mon, 3 Aug 2020 13:12:39 +0000

Hi Fernando,
I do not believe that the most basic EH (fragmentation) is dropper because "6.1. Inability to Find Layer-4 Information".
I suspect that it is because universal policy to drop all EHs, i.e. Political reason.
Hence, 6.1 is not the best place to squeeze fragmentation problem.

If WG would decide to tell something about "Admin Policy to drop everything", then fragmentation could be inside,
If not - then it is better to have separate bullet for fragmentation.

Many people (who have not seen you previous reports) do not expect that this basic thing does not work in the Internet.

Eduard
-----Original Message-----
From: Fernando Gont [mailto:[email-masked]] 
Sent: 3 августа 2020 г. 13:10
To: Vasilenko Eduard <[email-masked]>; [email-masked]
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-ipv6-ehs-packet-drops-00 - Fragmentation

Hello, Eduard,

On 1/8/20 13:45, Vasilenko Eduard wrote:
> There are many references to Fragmentation documents in "Previous 
> Work" section (and in real measurements too), But Fragmentation is no cited among drop reasons (section 4-6).

I agree that we should probably say more about fragmentation. However, it would seem to me that this should be part of Section 6.1 (and maybe add a few more words to Section 6.4).

That is, fragmentation is one special case where it may be impossible for systems to find the upper-layer information -- so it would seem to fit in Section Section 6.1.

Thoughts?

Thanks,

---

From: Fernando Gont <[email-masked]>
Date: Mon, 3 Aug 2020 10:38:02 -0300

> I suspect that it is because universal policy to drop all EHs, i.e. Political reason.

As you'll see in e.g. RFC7872, not all EHs have the same drop rate.  -- 
for instance, for each EH type, the drop rate is proportional to the EH 
length/size.

> Many people (who have not seen you previous reports) do not expect that this basic thing does not work in the Internet.

The same can be said about IPsec and others...